Package com.xmlmind.w2x.processor

## Class XPathFunctions

- java.lang.Object
- - com.xmlmind.w2x.processor.XPathFunctions

- All Implemented Interfaces:
    `SimpleFunctionTable`

      public final class XPathFunctions
      extends Object
      implements SimpleFunctionTable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XPathFunctions()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Variant` | `contentType​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `findRule​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static double` | `fontSize​(Element element)` |
    `static Variant` | `fontSize​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static String` | `getClass​(Element element, String className)` |
    `static Variant` | `getClass​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static String` | `getRule​(XNode node, String selectorSpec, String propName)` |
    `static Variant` | `getRule​(VariantExpr[] args, XNode node, ExprContext context)` |
    `SimpleFunction` | `getSimpleFunction​(String functionName)` |
    `static Variant` | `getStyle​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `isMonospaced​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static boolean` | `isMonospacedFontFamily​(String propValue)` |
    `static Variant` | `length​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `lookupLength​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static String` | `lookupStyle​(Element element, String propName)` |
    `static Variant` | `lookupStyle​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `orRegex​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static double` | `parseFontSize​(String value, Element element)` |
    `static Variant` | `stringToId​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `styleCount​(VariantExpr[] args, XNode node, ExprContext context)` |
    `static Variant` | `uniqueKeyValue​(VariantExpr[] args, XNode node, ExprContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathFunctions

          public XPathFunctions()

  - ### Method Detail

    - #### getSimpleFunction

          public SimpleFunction getSimpleFunction​(String functionName)

      Specified by:
        `getSimpleFunction` in interface `SimpleFunctionTable`

    - #### uniqueKeyValue

          public static Variant uniqueKeyValue​(VariantExpr[] args,
                                               XNode node,
                                               ExprContext context)
                                        throws EvalException

      Throws:
        `EvalException`

    - #### stringToId

          public static Variant stringToId​(VariantExpr[] args,
                                           XNode node,
                                           ExprContext context)
                                    throws EvalException

      Throws:
        `EvalException`

    - #### contentType

          public static Variant contentType​(VariantExpr[] args,
                                            XNode node,
                                            ExprContext context)
                                     throws EvalException

      Throws:
        `EvalException`

    - #### orRegex

          public static Variant orRegex​(VariantExpr[] args,
                                        XNode node,
                                        ExprContext context)
                                 throws EvalException

      Throws:
        `EvalException`

    - #### getClass

          public static Variant getClass​(VariantExpr[] args,
                                         XNode node,
                                         ExprContext context)
                                  throws EvalException

      Throws:
        `EvalException`

    - #### getClass

          public static String getClass​(Element element,
                                        String className)

    - #### styleCount

          public static Variant styleCount​(VariantExpr[] args,
                                           XNode node,
                                           ExprContext context)
                                    throws EvalException

      Throws:
        `EvalException`

    - #### getStyle

          public static Variant getStyle​(VariantExpr[] args,
                                         XNode node,
                                         ExprContext context)
                                  throws EvalException

      Throws:
        `EvalException`

    - #### lookupStyle

          public static Variant lookupStyle​(VariantExpr[] args,
                                            XNode node,
                                            ExprContext context)
                                     throws EvalException

      Throws:
        `EvalException`

    - #### lookupStyle

          public static String lookupStyle​(Element element,
                                           String propName)

    - #### findRule

          public static Variant findRule​(VariantExpr[] args,
                                         XNode node,
                                         ExprContext context)
                                  throws EvalException

      Throws:
        `EvalException`

    - #### getRule

          public static Variant getRule​(VariantExpr[] args,
                                        XNode node,
                                        ExprContext context)
                                 throws EvalException

      Throws:
        `EvalException`

    - #### getRule

          public static String getRule​(XNode node,
                                       String selectorSpec,
                                       String propName)

    - #### length

          public static Variant length​(VariantExpr[] args,
                                       XNode node,
                                       ExprContext context)
                                throws EvalException

      Throws:
        `EvalException`

    - #### lookupLength

          public static Variant lookupLength​(VariantExpr[] args,
                                             XNode node,
                                             ExprContext context)
                                      throws EvalException

      Throws:
        `EvalException`

    - #### fontSize

          public static Variant fontSize​(VariantExpr[] args,
                                         XNode node,
                                         ExprContext context)
                                  throws EvalException

      Throws:
        `EvalException`

    - #### isMonospaced

          public static Variant isMonospaced​(VariantExpr[] args,
                                             XNode node,
                                             ExprContext context)
                                      throws EvalException

      Throws:
        `EvalException`

    - #### isMonospacedFontFamily

          public static boolean isMonospacedFontFamily​(String propValue)

    - #### fontSize

          public static double fontSize​(Element element)

    - #### parseFontSize

          public static double parseFontSize​(String value,
                                             Element element)